#
# spec file for package rubygem-simplecov-html
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-simplecov-html
Version:        0.13.1
Release:        1.2
%define mod_name simplecov-html
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.4}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/simplecov-ruby/simplecov-html
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Default HTML formatter for SimpleCov code coverage tool for ruby 2.4+
License:        MIT

%description
Default HTML formatter for SimpleCov code coverage tool for ruby 2.4+.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- 0.13.1 (2024-09-09)
  ==================
  [#]# Misc
  * Drop base64 dependency. See [#144](https://github.com/simplecov-ruby/simplecov-html/pull/144) (thanks [@Earlopain](https://github.com/Earlopain)).
  0.13.0 (2024-09-08)
  ==================
  [#]# Enhancements
  * Cache erb templates when generating report. See [#114](https://github.com/simplecov-ruby/simplecov-html/pull/114) (thanks [@fatkodima](https://github.com/fatkodima)).
  * Print branch coverage with line coverage. See [#103](https://github.com/simplecov-ruby/simplecov-html/pull/103) (thanks [@jeremyevans](https://github.com/jeremyevans)).
  * Add line number anchors. Thanks [@jantman](https://github.com/jantman) for the proposal [#49](https://github.com/simplecov-ruby/simplecov-html/issues/49) and [@nishidayuya](https://github.com/nishidayuya) for the patch [#106](https://github.com/simplecov-ruby/simplecov-html/pull/106)!
  * Add inline assets option. See [#107](https://github.com/simplecov-ruby/simplecov-html/pull/107) (thanks [@frankh](https://github.com/frankh)).
  * Make close button look better. See [#140](https://github.com/simplecov-ruby/simplecov-html/pull/140) (thanks [@anthony0030](https://github.com/anthony0030)).
  * Avoid "permission denied" errors by removing the destination before copying assets [#135](https://github.com/simplecov-ruby/simplecov-html/pull/135) (thanks [@tomeon](https://github.com/tomeon)).
  * Improve clarity of line and branch coverage format. See [#125](https://github.com/simplecov-ruby/simplecov-html/pull/125) (thanks [@joshuapinter](https://github.com/joshuapinter)).
  [#]# Bugfixes
  * Avoid loading favicon.png that does not exist. See [#123](https://github.com/simplecov-ruby/simplecov-html/pull/123) (thanks [@yyamanoi1222](https://github.com/yyamanoi1222)).
  [#]# Misc
  * Reduced gem size by not including development-only files.
  * Bundle jQuery 3.7.1. See [#108](https://github.com/simplecov-ruby/simplecov-html/issues/108) (thanks [@jgarland79](https://github.com/jgarland79) for reporting the issue).
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 0.12.3
  see installed CHANGELOG.md
  0.12.3 (2020-09-23)
  ==================
  [#]# Bugfixes
  * Relax ruby version requirement to work with Ruby 3.0 (next version, current `ruby-head`). Thanks [@byroot](https://github.com/byroot).
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 0.12.2
  see installed CHANGELOG.md
  0.12.2 (2020-02-27)
  ==================
  [#]# Bugfixes
  * Refreshing the page while a source file is open works again. Thanks [@HansBug](https://github.com/HansBug) for the report [#94](https://github.com/colszowka/simplecov-html/issues/94) and [@Tietew](https://github.com/Tietew) for the fix!
  0.12.1 (2020-02-23)
  ==================
  Bugfix release to fix huge bugs that sadly test suit and maintainters didn't catch.
  [#]# Bugfixes
  * Disable pagination and with it all files on 2nd page+ being broken/not able to open
  * Fix display of non ASCII characters, for this you have to upgrade to simplecov 0.18.3 though (it's handled in there)
  0.12.0 (2020-02-12)
  ==================
  This release is basically a collection of long standing PRs finally merged.
  Yes it looks different, no it's not a redesign - just a side effect of lots of dependency updates to improve CSP compatibility.
  [#]# Enhancements
  * The HTML should now be servable with CSP settings of `default-src 'none'; script-src 'self'; img-src 'self'; style-src 'self';`
  * File list is horizontally scrollable if the space doesn't suffice
  * numbers are now right aligned and displayed with the same number of decimals for easier comparison and reading.
  [#]# Bugfixes
  * Make sorting icons appear again
  * close link tag which could cause problems when parsing as xhtml/xml
  * make sure encoding errors won't crash the formatter
  * When viewing a short source file while you have a big file list you will no longer be able to scroll on after the source file has ended
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 0.11.0
  see installed CHANGELOG.md
* Mon Aug 14 2017 mschnitzer@suse.com
- updated to version 0.10.2
  [#]# Bugfixes
  * Allow usage with frozen-string-literal-enabled. See [#56](https://github.com/colszowka/simplecov-html/pull/56) (thanks @pat)
* Tue May 23 2017 coolo@suse.com
- updated to version 0.10.1
  no changelog found
* Thu Apr 23 2015 coolo@suse.com
- updated to version 0.10.0
  no changelog found
* Thu Feb 19 2015 coolo@suse.com
- updated to version 0.9.0
* Mon Nov  3 2014 tboerger@suse.com
- Added last missing bits for new macros
* Mon Oct 13 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Fri Nov 22 2013 coolo@suse.com
- updated to version 0.8.0, adopt for simplecov-0.8.0
* Sun Oct 28 2012 coolo@suse.com
- updated to version 0.7.1, adopt for simplecov-0.7.1
* Fri Oct 12 2012 coolo@suse.com
- updated to version 0.7.0, adopt for simplecov-0.7
* Sat Apr  7 2012 coolo@suse.com
- initial package
